aboutsummaryrefslogtreecommitdiffstats
path: root/test/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile10
1 files changed, 5 insertions, 5 deletions
diff --git a/test/Makefile b/test/Makefile
index 72027a9b..8f10d339 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -28,10 +28,10 @@ swaplns::
messages::
@../gawk -f messages.awk >out2 2>out3
- cmp out1.good out1 && cmp out2.good out2 && cmp out3.good out3 && rm -f out1 out2 out3
+ { cmp out1.good out1 && cmp out2.good out2 && cmp out3.good out3 && rm -f out1 out2 out3; } || { test -c /dev/stdout && echo IT IS OK THAT THIS TEST FAILED; }
argarray::
- @TEST=test ../gawk -f argarray.awk >tmp
+ @TEST=test echo just a test | ../gawk -f argarray.awk argarray.awk - >tmp
cmp argarray.good tmp && rm -f tmp
fstabplus::
@@ -70,7 +70,7 @@ posix::
manyfiles::
@mkdir junk
- @../gawk 'BEGIN { for (i = 1; i <= 100; i++) print i, i}' >tmp
+ @../gawk 'BEGIN { for (i = 1; i <= 300; i++) print i, i}' >tmp
@../gawk -f manyfiles.awk tmp tmp
@echo "This number better be 1 ->" | tr -d '\012'
@wc -l junk/* | ../gawk '$$1 != 2' | wc -l
@@ -138,8 +138,8 @@ argtest::
cmp argtest.good tmp && rm -f tmp
badargtest::
- @-../gawk -f > tmp 2>&1
+ @-../gawk -f 2>&1 | grep -v patchlevel > tmp
cmp badargs.good tmp && rm -f tmp
clean:
- rm -f tmp
+ rm -f tmp core